#ifndef BATTERYWIDGET_H
#define BATTERYWIDGET_H

#include <QObject>
#include <QWidget>
#include <QLabel>
#include <QDBusInterface>
#include <QPushButton>
#include <QPoint>
#include "enginedevice.h"

class BatteryWidget : public QWidget
{
    Q_OBJECT
public:
    BatteryWidget(QPoint point, QWidget *parent = nullptr);

    void initUi();
    void setupComponent();
    void setPoint(QPoint point);

protected:
    void showEvent(QShowEvent *event);
    void paintEvent(QPaintEvent *event);

private:
    QLabel *mModeLabel;
    QPushButton *mIconBtn;
    QLabel *mValueLabel;
    QLabel *mStatusLabel;
    QPoint mPoint;

    QDBusInterface *batInterface;

    EngineDevice* ed;

private Q_SLOTS:
    void setBatteryIcon(QString icon);
    void onBatteryChanged(QStringList args);

};

#endif // BATTERYWIDGET_H
